Bug 230131 - devel/py-automaton: Update to 1.15.0
Summary: devel/py-automaton: Update to 1.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: http://git.openstack.org/cgit/opensta...
Keywords:
Depends on:
Blocks: 232244
  Show dependency treegraph
 
Reported: 2018-07-29 04:11 UTC by Nathan
Modified: 2019-01-11 12:33 UTC (History)
5 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
Update (1.17 KB, patch)
2018-07-29 04:11 UTC, Nathan
no flags Details | Diff
py-automaton-1.14.0.patch (2.79 KB, patch)
2018-10-14 12:49 UTC, Kai
freebsd_ports: maintainer-approval? (alexander.nusov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-29 04:11:38 UTC
Created attachment 195574 [details]
Update
Comment 1 Kai 2018-10-14 12:49:59 UTC
Created attachment 198128 [details]
py-automaton-1.14.0.patch

Hello,

attached is the patch that updates devel/py-automaton to 1.14.0 . This is the latest supported version for the OpenStack Queens release according to https://releases.openstack.org/queens/index.html#automaton .

Changes by upstream:
- http://git.openstack.org/cgit/openstack/automaton/log/?h=stable/queens

Changes to the port:
- added LICENSE_FILE
- sorted variables a bit according to the PHB
- rebased pkg-descr
- updated WWW

QA:
~~~
- poudriere (10.4-, 11.2-RELEASE, 12.0-ALPHA9 amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK
Comment 2 Jochen Neumeister freebsd_committer 2018-11-11 20:01:16 UTC
any news here?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-13 02:03:05 UTC
Assignee timeout (2+ months), open to take
Comment 4 commit-hook freebsd_committer 2019-01-11 12:33:24 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 12:32:54 UTC 2019
New revision: 489953
URL: https://svnweb.freebsd.org/changeset/ports/489953

Log:
  - Update to 1.15.0
  - Added LICENSE_FILE
  - Sorted variables a bit according to the PHB
  - Rebased pkg-descr
  - Updated WWW

  PR:		230131
  Submitted by:	ndowens@yahoo.com, freebsd_ports@k-worx.org
  Approved by:	maintainer

Changes:
  head/devel/py-automaton/Makefile
  head/devel/py-automaton/distinfo
  head/devel/py-automaton/pkg-descr